library verilog;
use verilog.vl_types.all;
entity tone is
    port(
        clock           : in     vl_logic;
        enable          : in     vl_logic;
        tone_out        : out    vl_logic
    );
end tone;
